προβλημα εγκαταστασης vlc
#1
γεια σας.παω να εγλαταστησω το vlc αλλα δειτε...
Κώδικας:
sudo apt-get install vlc
Ανάγνωση Λιστών Πακέτων... Ολοκληρώθηκε
Κατασκευή Δένδρου Εξαρτήσεων                
Ανάγνωση περιγραφής της τρέχουσας κατάσταση... Ολοκληρώθηκε
Μερικά πακέτα είναι αδύνατον να εγκατασταθούν. Αυτό μπορεί να σημαίνει ότι
δημιουργήσατε μια απίθανη κατάσταση ή αν χρησιμοποιείτε την ασταθή
διανομή, ότι μερικά από τα πακέτα δεν έχουν ακόμα δημιουργηθεί ή έχουν
μετακινηθεί από τα εισερχόμενα.
Οι ακόλουθες πληροφορίες ίσως βοηθήσουν στην επίλυση του προβλήματος:

Τα ακόλουθα πακέτα έχουν ανεπίλυτες εξαρτήσεις:
vlc : Εξαρτάται από: libgles1-mesa (>= 7.8.1) αλλά δεν πρόκειται να εγκατασταθεί η
                                  libgles1
E: Αδύνατη η διόρθωση προβλημάτων, έχετε κρατούμενα ελαττωματικά πακέτα.
και γενικα αν παω να εγκαταστησω καποιο προγραμμα μου βγαζει κατι σαν αυτο.τι πρεπει να κανω για να διορθωσω το προβλημα;;;
  Απάντηση
#2
και στο synaptic μου λεει οτι εχω κατεστραμεννα πακετα.
πολυ φοβαμαι οτι απο το αποθετηριο που ειχα δοκιμασει για την καρτα γραφικων πρεπει να μπαιρδεψε εξαρτησεις αλλα το εχω βγαλει το αποθετηριο ομως γιατι δεν εκανε δουλεια.
  Απάντηση
#3
το libgles-mesa ειναι σχετικο με γραφικα (φαινεται και απο την ονομασια του). το αποθετηριο που ειχες βαλει, πολυ πιθανο να εγκατεστησε αλλη εκδοση απο την διανομη, οποτε τωρα που το εβγαλες, το apt διαμαρτυρεται, γιατι κατι εχει σπασει στα dependencies. γι'αυτο δεν βαζουμε εξωτερικες πηγες, περα απο τις επισημες της διανομης, για να μην εχουμε τετοια χαζοπροβληματακια ;) ... δωσε μια:.
Κώδικας:
sudo apt-get install -f
και κανονικα θα πρεπει να συνελθει. ειμαι περιεργος ομως που δεν σε λεει, να δωσεις την παραπανω εντολη, για να το διορθωσεις. στο debian αν σπασει κατι, βγαζει ακριβως το ιδιο, αλλα κατω-κατω λεει "run 'apt-get install -f' to correct broken dependencies". αλλα αυτο το θεμα γενικα, ειναι μαλλον ειναι απο τις γνωστες "ουμπουντιες". εσυ δεν φταις καπου σε αυτο. απλα το λειτουργικο ειναι λιγο μπαζο
ονομαζομαι DarkGoth, και ειμαι «καλα»( ; )... το OsArena με θεραπευσε... (goth=!ok {equals} EMO)...  Emo
  Απάντηση
#4
παιδια εκανα οτι ειπατε αλλα παλι τα ιδια.
δειτε....

Κώδικας:
sudo apt-get install -f
[sudo] password for nikos:
Ανάγνωση Λιστών Πακέτων... Ολοκληρώθηκε
Κατασκευή Δένδρου Εξαρτήσεων                
Ανάγνωση περιγραφής της τρέχουσας κατάσταση... Ολοκληρώθηκε
0 αναβαθμίστηκαν, 0 νέο εγκατεστημένα, 0 θα αφαιρεθούν και 0 δεν αναβαθμίζονται.
nikos@nikolaos-pc ~ $ sudo apt-get install vlc
Ανάγνωση Λιστών Πακέτων... Ολοκληρώθηκε
Κατασκευή Δένδρου Εξαρτήσεων                
Ανάγνωση περιγραφής της τρέχουσας κατάσταση... Ολοκληρώθηκε
Μερικά πακέτα είναι αδύνατον να εγκατασταθούν. Αυτό μπορεί να σημαίνει ότι
δημιουργήσατε μια απίθανη κατάσταση ή αν χρησιμοποιείτε την ασταθή
διανομή, ότι μερικά από τα πακέτα δεν έχουν ακόμα δημιουργηθεί ή έχουν
μετακινηθεί από τα εισερχόμενα.
Οι ακόλουθες πληροφορίες ίσως βοηθήσουν στην επίλυση του προβλήματος:

Τα ακόλουθα πακέτα έχουν ανεπίλυτες εξαρτήσεις:
vlc : Εξαρτάται από: libgles1-mesa (>= 7.8.1) αλλά δεν πρόκειται να εγκατασταθεί η
                                  libgles1
E: Αδύνατη η διόρθωση προβλημάτων, έχετε κρατούμενα ελαττωματικά πακέτα.

υπαρχει λυση;;;
  Απάντηση
#5
δεν δοκιμαζεις να πεταξεις τελειως το συγκεκριμενο πακετο, και να το ξαναεγκαταστησεις, για να παρει την εκδοση της διανομης; το σημαδουρι ζηταει πανω απο καποια συγκεκριμενη εκδοση, εκεινη που γραφει μεσα στην παρενθεση. μαλλον εσυ εχεις παλιοτερη απο εκεινο το αποθετηριο που εβαλες τοτε, και εκει "χτυπαει", και γι'αυτο πεταει αυτο το πραγμα. περιεργο παντως να μην πιανει ουτε το apt-get install -f. στο debian, που το εκανα και 2 φορες κιολας regression απο stable σε sid και ξαναπισω (χωρις καποιον ιδιαιτερο λογο. απλα με ηρθε και το εκανα), με πεταγε ενα σκασμο τετοια σφαλματα απο σπασμενα dependencies, αλλα με το apt-get install -f εστρωνε. το μονο "κουσουρι" που με αφησε ειναι μια μαλακιτσα, που στην εκκινηση λεει κατι για το sysv, οτι δεν μπορεσε να δημιουργησει τον εαυτο του στο systemd (ΛΟΛ!. :lolx )
ονομαζομαι DarkGoth, και ειμαι «καλα»( ; )... το OsArena με θεραπευσε... (goth=!ok {equals} EMO)...  Emo
  Απάντηση
#6
Κώδικας:
δεν δοκιμαζεις να πεταξεις τελειως το συγκεκριμενο πακετο, και να το ξαναεγκαταστησεις, για να παρει την εκδοση της διανομης; το σημαδουρι ζηταει πανω απο καποια συγκεκριμενη εκδοση, εκεινη που γραφει μεσα στην παρενθεση. μαλλον εσυ εχεις παλιοτερη απο εκεινο το αποθετηριο που εβαλες τοτε, και εκει "χτυπαει", και γι'αυτο πεταει αυτο το πραγμα. περιεργο παντως να μην πιανει ουτε το apt-get install -f. στο debian, που το εκανα και 2 φορες κιολας regression απο stable σε sid και ξαναπισω (χωρις καποιον ιδιαιτερο λογο. απλα με ηρθε και το εκανα), με πεταγε ενα σκασμο τετοια σφαλματα απο σπασμενα dependencies, αλλα με το apt-get install -f εστρωνε. το μονο "κουσουρι" που με αφησε ειναι μια μαλακιτσα, που στην εκκινηση λεει κατι για το sysv, οτι δεν μπορεσε να δημιουργησει τον εαυτο του στο systemd (ΛΟΛ!. :lolx )

αυτο πηγα να το κανω αλλα οταν πηγα να το βγαλω το συγκεκριμενο πακετο οπως λες μου ζηταει να αφαιρεσω ενα εκατομμυριο πραγματα.μεχρι και το ιδιο το cinnamon ,brasero και αλλα πολλα....
και για αυτο δεν το εβγαλα.υπαρχει τροπος να το βγαλω χωρις να αφαιρεσω ολα αυτα που ζηταει ταυτοχρονα;;;
  Απάντηση
#7
οπως βλεπω ειναι systemwide dependency αυτο, και γι'αυτο ζηταει να πεταξει τοσα πολλα, γιατι ολα αυτα εξαρτωνται απο το πακετο αυτο. δεν μπορεις να το πεταξεις χωρις να πεταχτουν και τα αλλα. αν δεν ηταν systemwide ηξερα να σε πω εναν τροπο, να το αφαιρεσεις απο τις λιστες του apt-get, και να πεταξεις τα αρχεια του χειροκινητα, αλλα αυτο γινεται μονο με μεμονωμενα πακετα δυστυχως. αυτο τωρα, μαλλον κολλησε για τα καλα. εγω δεν ξερω αλλον τροπο, εκτος απο αυτους που σε ειπα και τον χειροκινητο (που ομως δεν μπορει να χρησιμοποιηθει εδω). κατσε μπας και το δει και ο debianass που βλεπω οτι το'χει πιο πολυ, μπας και σε πει καμια μοντιφα να το πεταξεις, χωρις να διαλυσει εντελως το λειτουργικο. γιατι αν το ουμπουντου και το μιντ διαλυσουν, δεν μαζευονται μετα με τιποτα. ενω το debian, θα επιζησει με μικρα "τραυματα" το πιθανοτερο.
ονομαζομαι DarkGoth, και ειμαι «καλα»( ; )... το OsArena με θεραπευσε... (goth=!ok {equals} EMO)...  Emo
  Απάντηση
#8
Κώδικας:
οπως βλεπω ειναι systemwide dependency αυτο, και γι'αυτο ζηταει να πεταξει τοσα πολλα, γιατι ολα αυτα εξαρτωνται απο το πακετο αυτο. δεν μπορεις να το πεταξεις χωρις να πεταχτουν και τα αλλα. αν δεν ηταν systemwide ηξερα να σε πω εναν τροπο, να το αφαιρεσεις απο τις λιστες του apt-get, και να πεταξεις τα αρχεια του χειροκινητα, αλλα αυτο γινεται μονο με μεμονωμενα πακετα δυστυχως. αυτο τωρα, μαλλον κολλησε για τα καλα. εγω δεν ξερω αλλον τροπο, εκτος απο αυτους που σε ειπα και τον χειροκινητο (που ομως δεν μπορει να χρησιμοποιηθει εδω). κατσε μπας και το δει και ο debianass που βλεπω οτι το'χει πιο πολυ, μπας και σε πει καμια μοντιφα να το πεταξεις, χωρις να διαλυσει εντελως το λειτουργικο. γιατι αν το ουμπουντου και το μιντ διαλυσουν, δεν μαζευονται μετα με τιποτα. ενω το debian, θα επιζησει με μικρα "τραυματα" το πιθανοτερο.

τρομοκρατηθηκα τωρα...SOS παιδια βοηθηστε με ειναι σημαντικο.οχι τοσο για το vlc αλλα για το μπερδεμα.
εκει που τα εστρωσα ολα στο λαπτοπ του πατερα μου παλι κατι βγηκε απο δικο μου λαθος φυσικα.
μονο αν ξανακανω φορματ αλλα θα με πυροβοληση ο πατερας μου.....χαχαχαχαχαχ
  Απάντηση
#9
Όταν αφαίρεσες το προβληματικό αποθετήριο και πριν δοκιμάσεις να εγκαταστήσεις οτιδήποτε άλλο, ενημέρωσες τα αποθετήρια με
Κώδικας:
sudo apt-get update
;
Το άπλυτο κορμί το πλένεις. Καθαρίζει. Η βρόμικη ψυχή πώς πλένεται;
  Απάντηση
#10
μολις το περασα στο debian το vlc, και εβαλε και αυτο το libgles-κατι. δοκιμαζοντας να το πεταξω, με εβγαλε διαφορα, αλλα τοσα πολλα, και ουτε κρισιμα για το συστημα. το πιθανοτερο, ειναι οτι αν το πεταξεις, θα σε πεταξει σε terminal με την επανεκκινηση, γιατι θα εχει φυγει το γραφικο. αλλα αν εχεις σημειωσει, και ξαναεγκαταστησεις οτι πεταχτηκε, το πιθανοτερο ειναι, οτι θα συνελθει το συστημα. θα το ξαναδοκιμασω με εγκατεστημενο το cinnamon (γιατι τωρα εχω gnome) να δω τι θα γινει.
ονομαζομαι DarkGoth, και ειμαι «καλα»( ; )... το OsArena με θεραπευσε... (goth=!ok {equals} EMO)...  Emo
  Απάντηση


Ίσως Σχετικά Νήματα...
Νήμα Άτομο Απαντήσεις Βλεφαριάσματα Τελευταία Ανάρτηση
  Debian jessie (testing) πρόβλημα εγκατάστασης chrisb 0 639 21.08.2014 12:28
Τελευταία Ανάρτηση: chrisb
  πρόβλημα μετά από προσπάθεια εγκατάστασης του kernel σε 3-13-1 (ubuntu με ci Λουκάς 1 602 28.02.2014 23:52
Τελευταία Ανάρτηση: Letisios

Πάμε στο Forum:


Πλάσματα σουλατσάρουν στο νήμα: 1 Επισκέπτης(ες)